Bug 903250 - (CVE-2012-6098) CVE-2012-6098 moodle: Users without the appropriate capability were able to set a custom outcome (MSA-13-0002)
CVE-2012-6098 moodle: Users without the appropriate capability were able to s...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120813,reported=2...
: Security
Depends On: 903264
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-23 10:00 EST by Jan Lieskovsky
Modified: 2015-08-22 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-01-23 10:00:51 EST
A security flaw was found in the way Moodle, a course management system, performed capability checks in certain situations. Users without appropriate capability were able to set a custom outcome they had created as a standard site-wide capability when editing that outcome.

References:
[1] http://www.openwall.com/lists/oss-security/2013/01/21/1

Relevant upstream patch:
[2] http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-27619
Comment 1 Jan Lieskovsky 2013-01-23 10:04:29 EST
This issue did NOT affect the versions of the moodle package, as shipped with Fedora release of 16, 17, 18, and Fedora EPEL 6 (moodle package versions for those releases are already updated).

--

This issue affects the version of the moodle package, as shipped with Fedora EPEL 5. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-01-23 10:37:42 EST
Created moodle tracking bugs for this issue

Affects: epel-5 [bug 903264]

Note You need to log in before you can comment on or make changes to this bug.